# Class CIM_SSHCapabilities
extends CIM_ProtocolServiceCapabilities

A subclass of ProtocolServiceCapabilities that defines the capabilities of an SSH Service. An instance of CIM_SSHCapabilities is associated with an instance of CIM_ProtocolService via the CIM_ElementCapabilities association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_ProtocolServiceCapabilities
|
+--CIM_SSHCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A subclass of ProtocolServiceCapabilities that defines the capabilities of an SSH Service. An instance of CIM_SSHCapabilities is associated with an instance of CIM_ProtocolService via the CIM_ElementCapabilities association.
UMLPackagePath | string | CIM::Network::ConsoleProtocols
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherSupportedEncryptionAlgorithm | string |
Description | string | If the SupportedEncryptionAlgorithms property is set to 1, "Other" then free form string providing more information about supported algorithms. If not set to 1, this string has no meaning.
ModelCorrespondence | string | CIM_SSHCapabilities.SupportedEncryptionAlgorithms
OtherSupportedSSHVersion | string |
Description | string | If the SupportedSSHVersions property is set to 1, "Other" then free form string providing more information about supported SSH protocols. If not set to 1, this string has no meaning.
ModelCorrespondence | string | CIM_SSHCapabilities.SupportedSSHVersions
SupportedEncryptionAlgorithms | uint16[] |
ArrayType | string | Indexed
Description | string | An array of integers indicating the encryption algorithms that the SSH service supports.
ModelCorrespondence | string | CIM_SSHCapabilities.OtherSupportedEncryptionAlgorithm
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7..32767, 32768..65535
Values | string | Unknown, Other, DES, DES3, RC4, IDEA, SKIPJACK, DMTF Reserved, Vendor Reserved
SupportedSSHVersions | uint16[] |
ArrayType | string | Indexed
Description | string | An array of integers indicating the version or versions of SSH protocol that the SSH service supports.
ModelCorrespondence | string | CIM_SSHCapabilities.OtherSupportedSSHVersion
ValueMap | string | 0, 1, 2, 3, 4..32767, 32768..65535
Values | string | Unknown, Other, SSHv1, SSHv2, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
ListeningPortManagementSupported | boolean | CIM_ProtocolServiceCapabilities
MaxConnections | uint16 | CIM_ProtocolServiceCapabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
MaxListeningPorts | uint16 | CIM_ProtocolServiceCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods